Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 2798)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 2801)
@@ -4047,32 +4238,32 @@
 !--       South border pe
           IF ( nest_bound_s )  THEN
-             CALL pmci_interp_tril_sn( u,  uc,  icu, jco, kco, r1xu, r2xu,      &
-                                       r1yo, r2yo, r1zo, r2zo,                  &
-                                       logc_u_s, logc_ratio_u_s,                &
+             CALL pmci_interp_tril_sn( u,  uc,  icu, jco, kco, r1xu, r2xu,     &
+                                       r1yo, r2yo, r1zo, r2zo,                 &
+                                       logc_u_s, logc_ratio_u_s,               &
                                        nzt_topo_nestbc_s, 's', 'u' )
-             CALL pmci_interp_tril_sn( v,  vc,  ico, jcv, kco, r1xo, r2xo,      &
-                                       r1yv, r2yv, r1zo, r2zo,                  &
-                                       logc_v_s, logc_ratio_v_s,                &
+             CALL pmci_interp_tril_sn( v,  vc,  ico, jcv, kco, r1xo, r2xo,     &
+                                       r1yv, r2yv, r1zo, r2zo,                 &
+                                       logc_v_s, logc_ratio_v_s,               &
                                        nzt_topo_nestbc_s, 's', 'v' )
-             CALL pmci_interp_tril_sn( w,  wc,  ico, jco, kcw, r1xo, r2xo,      &
-                                       r1yo, r2yo, r1zw, r2zw,                  &
-                                       logc_w_s, logc_ratio_w_s,                &
+             CALL pmci_interp_tril_sn( w,  wc,  ico, jco, kcw, r1xo, r2xo,     &
+                                       r1yo, r2yo, r1zw, r2zw,                 &
+                                       logc_w_s, logc_ratio_w_s,               &
                                        nzt_topo_nestbc_s, 's','w' )
-             CALL pmci_interp_tril_sn( e,  ec,  ico, jco, kco, r1xo, r2xo,      &
-                                       r1yo, r2yo, r1zo, r2zo,                  &
-                                       logc_u_s, logc_ratio_u_s,                &
+             CALL pmci_interp_tril_sn( e,  ec,  ico, jco, kco, r1xo, r2xo,     &
+                                       r1yo, r2yo, r1zo, r2zo,                 &
+                                       logc_u_s, logc_ratio_u_s,               &
                                        nzt_topo_nestbc_s, 's', 'e' )
 
              IF ( .NOT. neutral )  THEN
-                CALL pmci_interp_tril_sn( pt, ptc, ico, jco, kco, r1xo, r2xo,   &
-                                          r1yo, r2yo, r1zo, r2zo,               &
-                                          logc_u_s, logc_ratio_u_s,             &
+                CALL pmci_interp_tril_sn( pt, ptc, ico, jco, kco, r1xo, r2xo,  &
+                                          r1yo, r2yo, r1zo, r2zo,              &
+                                          logc_u_s, logc_ratio_u_s,            &
                                           nzt_topo_nestbc_s, 's', 's' )
              ENDIF
 
              IF ( humidity )  THEN
-                CALL pmci_interp_tril_sn( q, q_c, ico, jco, kco, r1xo, r2xo,    &
-                                          r1yo,r2yo, r1zo, r2zo,                &
-                                          logc_u_s, logc_ratio_u_s,             &
+                CALL pmci_interp_tril_sn( q, q_c, ico, jco, kco, r1xo, r2xo,   &
+                                          r1yo,r2yo, r1zo, r2zo,               &
+                                          logc_u_s, logc_ratio_u_s,            &
                                           nzt_topo_nestbc_s, 's', 's' )
 
@@ -4112,7 +4303,7 @@
 
              IF ( passive_scalar )  THEN
-                CALL pmci_interp_tril_sn( s, sc, ico, jco, kco, r1xo, r2xo,     &
-                                          r1yo,r2yo, r1zo, r2zo,                &
-                                          logc_u_s, logc_ratio_u_s,             &
+                CALL pmci_interp_tril_sn( s, sc, ico, jco, kco, r1xo, r2xo,    &
+                                          r1yo,r2yo, r1zo, r2zo,               &
+                                          logc_u_s, logc_ratio_u_s,            &
                                           nzt_topo_nestbc_s, 's', 's' )
              ENDIF
@@ -4120,9 +4311,9 @@
              IF ( air_chemistry )  THEN
                 DO  n = 1, nspec
-                   CALL pmci_interp_tril_sn( chem_species(n)%conc,              &
-                                             chem_spec_c(:,:,:,n),              &
-                                             ico, jco, kco, r1xo, r2xo,         &
-                                             r1yo, r2yo, r1zo, r2zo,            &
-                                             logc_u_s, logc_ratio_u_s,          &
+                   CALL pmci_interp_tril_sn( chem_species(n)%conc,             &
+                                             chem_spec_c(:,:,:,n),             &
+                                             ico, jco, kco, r1xo, r2xo,        &
+                                             r1yo, r2yo, r1zo, r2zo,           &
+                                             logc_u_s, logc_ratio_u_s,         &
                                              nzt_topo_nestbc_s, 's', 's' )
                 ENDDO
@@ -4172,35 +4363,35 @@
 !--       North border pe
           IF ( nest_bound_n )  THEN
-             CALL pmci_interp_tril_sn( u,  uc,  icu, jco, kco, r1xu, r2xu,      &
-                                       r1yo, r2yo, r1zo, r2zo,                  &
-                                       logc_u_n, logc_ratio_u_n,                &
+             CALL pmci_interp_tril_sn( u,  uc,  icu, jco, kco, r1xu, r2xu,     &
+                                       r1yo, r2yo, r1zo, r2zo,                 &
+                                       logc_u_n, logc_ratio_u_n,               &
                                        nzt_topo_nestbc_n, 'n', 'u' )
 
-             CALL pmci_interp_tril_sn( v,  vc,  ico, jcv, kco, r1xo, r2xo,      &
-                                       r1yv, r2yv, r1zo, r2zo,                  &
-                                       logc_v_n, logc_ratio_v_n,                & 
+             CALL pmci_interp_tril_sn( v,  vc,  ico, jcv, kco, r1xo, r2xo,     &
+                                       r1yv, r2yv, r1zo, r2zo,                 &
+                                       logc_v_n, logc_ratio_v_n,               & 
                                        nzt_topo_nestbc_n, 'n', 'v' )
 
-             CALL pmci_interp_tril_sn( w,  wc,  ico, jco, kcw, r1xo, r2xo,      &
-                                       r1yo, r2yo, r1zw, r2zw,                  &
-                                       logc_w_n, logc_ratio_w_n,                &
+             CALL pmci_interp_tril_sn( w,  wc,  ico, jco, kcw, r1xo, r2xo,     &
+                                       r1yo, r2yo, r1zw, r2zw,                 &
+                                       logc_w_n, logc_ratio_w_n,               &
                                        nzt_topo_nestbc_n, 'n', 'w' )
 
-             CALL pmci_interp_tril_sn( e,  ec,  ico, jco, kco, r1xo, r2xo,      &
-                                       r1yo, r2yo, r1zo, r2zo,                  &
-                                       logc_u_n, logc_ratio_u_n,                &
+             CALL pmci_interp_tril_sn( e,  ec,  ico, jco, kco, r1xo, r2xo,     &
+                                       r1yo, r2yo, r1zo, r2zo,                 &
+                                       logc_u_n, logc_ratio_u_n,               &
                                        nzt_topo_nestbc_n, 'n', 'e' )
 
              IF ( .NOT. neutral )  THEN
-                CALL pmci_interp_tril_sn( pt, ptc, ico, jco, kco, r1xo, r2xo,   &
-                                          r1yo, r2yo, r1zo, r2zo,               &
-                                          logc_u_n, logc_ratio_u_n,             &
+                CALL pmci_interp_tril_sn( pt, ptc, ico, jco, kco, r1xo, r2xo,  &
+                                          r1yo, r2yo, r1zo, r2zo,              &
+                                          logc_u_n, logc_ratio_u_n,            &
                                           nzt_topo_nestbc_n, 'n', 's' )
              ENDIF
 
              IF ( humidity )  THEN
-                CALL pmci_interp_tril_sn( q, q_c, ico, jco, kco, r1xo, r2xo,    &
-                                          r1yo, r2yo, r1zo, r2zo,               &
-                                          logc_u_n, logc_ratio_u_n,             &
+                CALL pmci_interp_tril_sn( q, q_c, ico, jco, kco, r1xo, r2xo,   &
+                                          r1yo, r2yo, r1zo, r2zo,              &
+                                          logc_u_n, logc_ratio_u_n,            &
                                           nzt_topo_nestbc_n, 'n', 's' )
 
@@ -4240,7 +4431,7 @@
 
              IF ( passive_scalar )  THEN
-                CALL pmci_interp_tril_sn( s, sc, ico, jco, kco, r1xo, r2xo,     &
-                                          r1yo, r2yo, r1zo, r2zo,               &
-                                          logc_u_n, logc_ratio_u_n,             &
+                CALL pmci_interp_tril_sn( s, sc, ico, jco, kco, r1xo, r2xo,    &
+                                          r1yo, r2yo, r1zo, r2zo,              &
+                                          logc_u_n, logc_ratio_u_n,            &
                                           nzt_topo_nestbc_n, 'n', 's' )
              ENDIF
@@ -4479,56 +4670,56 @@
       IMPLICIT NONE
 
-      REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                       &
-                                      INTENT(INOUT) ::  f       !:
-      REAL(wp), DIMENSION(0:cg%nz+1,jcs:jcn,icl:icr),                           &
-                                      INTENT(IN)    ::  fc      !:
-      REAL(wp), DIMENSION(1:2,0:ncorr-1,nzb:nzt_topo_nestbc,nys:nyn),           &
-                                      INTENT(IN)    ::  logc_ratio   !:
-      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r1x     !:
-      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r2x     !:
-      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r1y     !:
-      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r2y     !:
-      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r1z     !:
-      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r2z     !:
+      REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
+                                      INTENT(INOUT) ::  f       !<
+      REAL(wp), DIMENSION(0:cg%nz+1,jcs:jcn,icl:icr),                          &
+                                      INTENT(IN)    ::  fc      !<
+      REAL(wp), DIMENSION(1:2,0:ncorr-1,nzb:nzt_topo_nestbc,nys:nyn),          &
+                                      INTENT(IN)    ::  logc_ratio   !<
+      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r1x     !<
+      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r2x     !<
+      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r1y     !<
+      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r2y     !<
+      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r1z     !<
+      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r2z     !<
       
-      INTEGER(iwp), DIMENSION(nxlg:nxrg), INTENT(IN)           ::  ic     !:
-      INTEGER(iwp), DIMENSION(nysg:nyng), INTENT(IN)           ::  jc     !:
-      INTEGER(iwp), DIMENSION(nzb:nzt+1), INTENT(IN)           ::  kc     !:
-      INTEGER(iwp), DIMENSION(1:2,nzb:nzt_topo_nestbc,nys:nyn),                 &
-                                          INTENT(IN)           ::  logc   !:
-      INTEGER(iwp) ::  nzt_topo_nestbc   !:
-
-      CHARACTER(LEN=1), INTENT(IN) ::  edge   !:
-      CHARACTER(LEN=1), INTENT(IN) ::  var    !:
-
-      INTEGER(iwp) ::  i        !:
-      INTEGER(iwp) ::  ib       !:
-      INTEGER(iwp) ::  ibgp     !:
-      INTEGER(iwp) ::  iw       !:
-      INTEGER(iwp) ::  j        !:
-      INTEGER(iwp) ::  jco      !:
-      INTEGER(iwp) ::  jcorr    !:
-      INTEGER(iwp) ::  jinc     !:
-      INTEGER(iwp) ::  jw       !:
-      INTEGER(iwp) ::  j1       !:
-      INTEGER(iwp) ::  k        !:
-      INTEGER(iwp) ::  k_wall   !: vertical index of topography top
-      INTEGER(iwp) ::  kco      !:
-      INTEGER(iwp) ::  kcorr    !:
-      INTEGER(iwp) ::  k1       !:
-      INTEGER(iwp) ::  l        !:
-      INTEGER(iwp) ::  m        !:
-      INTEGER(iwp) ::  n        !:
-      INTEGER(iwp) ::  kbc      !:
+      INTEGER(iwp), DIMENSION(nxlg:nxrg), INTENT(IN)           ::  ic     !<
+      INTEGER(iwp), DIMENSION(nysg:nyng), INTENT(IN)           ::  jc     !<
+      INTEGER(iwp), DIMENSION(nzb:nzt+1), INTENT(IN)           ::  kc     !<
+      INTEGER(iwp), DIMENSION(1:2,nzb:nzt_topo_nestbc,nys:nyn),                &
+                                          INTENT(IN)           ::  logc   !<
+      INTEGER(iwp) ::  nzt_topo_nestbc   !<
+
+      CHARACTER(LEN=1), INTENT(IN) ::  edge   !<
+      CHARACTER(LEN=1), INTENT(IN) ::  var    !<
+
+      INTEGER(iwp) ::  i        !<
+      INTEGER(iwp) ::  ib       !<
+      INTEGER(iwp) ::  ibgp     !<
+      INTEGER(iwp) ::  iw       !<
+      INTEGER(iwp) ::  j        !<
+      INTEGER(iwp) ::  jco      !<
+      INTEGER(iwp) ::  jcorr    !<
+      INTEGER(iwp) ::  jinc     !<
+      INTEGER(iwp) ::  jw       !<
+      INTEGER(iwp) ::  j1       !<
+      INTEGER(iwp) ::  k        !<
+      INTEGER(iwp) ::  k_wall   !< vertical index of topography top
+      INTEGER(iwp) ::  kco      !<
+      INTEGER(iwp) ::  kcorr    !<
+      INTEGER(iwp) ::  k1       !<
+      INTEGER(iwp) ::  l        !<
+      INTEGER(iwp) ::  m        !<
+      INTEGER(iwp) ::  n        !<
+      INTEGER(iwp) ::  kbc      !<
       
-      REAL(wp) ::  coarse_dx   !:
-      REAL(wp) ::  coarse_dy   !:
-      REAL(wp) ::  coarse_dz   !:
-      REAL(wp) ::  fkj         !:
-      REAL(wp) ::  fkjp        !:
-      REAL(wp) ::  fkpj        !:
-      REAL(wp) ::  fkpjp       !:
-      REAL(wp) ::  fk          !:
-      REAL(wp) ::  fkp         !:
+      REAL(wp) ::  coarse_dx   !<
+      REAL(wp) ::  coarse_dy   !<
+      REAL(wp) ::  coarse_dz   !<
+      REAL(wp) ::  fkj         !<
+      REAL(wp) ::  fkjp        !<
+      REAL(wp) ::  fkpj        !<
+      REAL(wp) ::  fkpjp       !<
+      REAL(wp) ::  fk          !<
+      REAL(wp) ::  fkp         !<
       
 ! 
@@ -4640,7 +4831,7 @@
                         DO  kcorr = 0, ncorr-1
                            kco = k + kcorr
-                           f(kco,jco,i) = 0.5_wp * ( logc_ratio(1,kcorr,k,j) *  &
-                                                     f(k1,j,i)                  &
-                                                   + logc_ratio(2,jcorr,k,j) *  &
+                           f(kco,jco,i) = 0.5_wp * ( logc_ratio(1,kcorr,k,j) * &
+                                                     f(k1,j,i)                 &
+                                                   + logc_ratio(2,jcorr,k,j) * &
                                                      f(k,j1,i) )
                         ENDDO
@@ -4695,5 +4886,5 @@
 
 
-   SUBROUTINE pmci_interp_tril_sn( f, fc, ic, jc, kc, r1x, r2x, r1y, r2y, r1z,  &
+   SUBROUTINE pmci_interp_tril_sn( f, fc, ic, jc, kc, r1x, r2x, r1y, r2y, r1z, &
                                    r2z, logc, logc_ratio,                   &
                                    nzt_topo_nestbc, edge, var )
@@ -4706,53 +4897,53 @@
       IMPLICIT NONE
 
-      REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                       &
-                                      INTENT(INOUT) ::  f             !:
-      REAL(wp), DIMENSION(0:cg%nz+1,jcs:jcn,icl:icr),                           &
-                                      INTENT(IN)    ::  fc            !:
-      REAL(wp), DIMENSION(1:2,0:ncorr-1,nzb:nzt_topo_nestbc,nxl:nxr),           &
-                                      INTENT(IN)    ::  logc_ratio    !:
-      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r1x           !:
-      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r2x           !:
-      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r1y           !:
-      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r2y           !:
-      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r1z           !:
-      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r2z           !:
+      REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
+                                      INTENT(INOUT) ::  f             !<
+      REAL(wp), DIMENSION(0:cg%nz+1,jcs:jcn,icl:icr),                          &
+                                      INTENT(IN)    ::  fc            !<
+      REAL(wp), DIMENSION(1:2,0:ncorr-1,nzb:nzt_topo_nestbc,nxl:nxr),          &
+                                      INTENT(IN)    ::  logc_ratio    !<
+      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r1x           !<
+      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r2x           !<
+      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r1y           !<
+      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r2y           !<
+      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r1z           !<
+      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r2z           !<
       
-      INTEGER(iwp), DIMENSION(nxlg:nxrg), INTENT(IN)           ::  ic    !:
-      INTEGER(iwp), DIMENSION(nysg:nyng), INTENT(IN)           ::  jc    !:
-      INTEGER(iwp), DIMENSION(nzb:nzt+1), INTENT(IN)           ::  kc    !:
-      INTEGER(iwp), DIMENSION(1:2,nzb:nzt_topo_nestbc,nxl:nxr),                 &
-                                          INTENT(IN)           ::  logc  !:
-      INTEGER(iwp) ::  nzt_topo_nestbc   !:
-
-      CHARACTER(LEN=1), INTENT(IN) ::  edge   !:
-      CHARACTER(LEN=1), INTENT(IN) ::  var    !:
+      INTEGER(iwp), DIMENSION(nxlg:nxrg), INTENT(IN)           ::  ic    !<
+      INTEGER(iwp), DIMENSION(nysg:nyng), INTENT(IN)           ::  jc    !<
+      INTEGER(iwp), DIMENSION(nzb:nzt+1), INTENT(IN)           ::  kc    !<
+      INTEGER(iwp), DIMENSION(1:2,nzb:nzt_topo_nestbc,nxl:nxr),                &
+                                          INTENT(IN)           ::  logc  !<
+      INTEGER(iwp) ::  nzt_topo_nestbc   !<
+
+      CHARACTER(LEN=1), INTENT(IN) ::  edge   !<
+      CHARACTER(LEN=1), INTENT(IN) ::  var    !<
       
-      INTEGER(iwp) ::  i       !:
-      INTEGER(iwp) ::  iinc    !:
-      INTEGER(iwp) ::  icorr   !:
-      INTEGER(iwp) ::  ico     !:
-      INTEGER(iwp) ::  i1      !:
-      INTEGER(iwp) ::  j       !:
-      INTEGER(iwp) ::  jb      !:
-      INTEGER(iwp) ::  jbgp    !:
-      INTEGER(iwp) ::  k       !:
-      INTEGER(iwp) ::  k_wall   !: vertical index of topography top
-      INTEGER(iwp) ::  kcorr   !:
-      INTEGER(iwp) ::  kco     !:
-      INTEGER(iwp) ::  k1      !:
-      INTEGER(iwp) ::  l       !:
-      INTEGER(iwp) ::  m       !:
-      INTEGER(iwp) ::  n       !:
+      INTEGER(iwp) ::  i       !<
+      INTEGER(iwp) ::  iinc    !<
+      INTEGER(iwp) ::  icorr   !<
+      INTEGER(iwp) ::  ico     !<
+      INTEGER(iwp) ::  i1      !<
+      INTEGER(iwp) ::  j       !<
+      INTEGER(iwp) ::  jb      !<
+      INTEGER(iwp) ::  jbgp    !<
+      INTEGER(iwp) ::  k       !<
+      INTEGER(iwp) ::  k_wall   !< vertical index of topography top
+      INTEGER(iwp) ::  kcorr   !<
+      INTEGER(iwp) ::  kco     !<
+      INTEGER(iwp) ::  k1      !<
+      INTEGER(iwp) ::  l       !<
+      INTEGER(iwp) ::  m       !<
+      INTEGER(iwp) ::  n       !<
                             
-      REAL(wp) ::  coarse_dx   !:
-      REAL(wp) ::  coarse_dy   !:
-      REAL(wp) ::  coarse_dz   !:
-      REAL(wp) ::  fk          !:
-      REAL(wp) ::  fkj         !:
-      REAL(wp) ::  fkjp        !:
-      REAL(wp) ::  fkpj        !:
-      REAL(wp) ::  fkpjp       !:
-      REAL(wp) ::  fkp         !:
+      REAL(wp) ::  coarse_dx   !<
+      REAL(wp) ::  coarse_dy   !<
+      REAL(wp) ::  coarse_dz   !<
+      REAL(wp) ::  fk          !<
+      REAL(wp) ::  fkj         !<
+      REAL(wp) ::  fkjp        !<
+      REAL(wp) ::  fkpj        !<
+      REAL(wp) ::  fkpjp       !<
+      REAL(wp) ::  fkp         !<
       
 !
@@ -4865,7 +5056,7 @@
                         DO  kcorr = 0, ncorr-1
                            kco = k + kcorr
-                           f(kco,j,ico) = 0.5_wp * ( logc_ratio(1,kcorr,k,i) *  &
-                                                     f(k1,j,i)                  &
-                                                   + logc_ratio(2,icorr,k,i) *  &
+                           f(kco,j,ico) = 0.5_wp * ( logc_ratio(1,kcorr,k,i) * &
+                                                     f(k1,j,i)                 &
+                                                   + logc_ratio(2,icorr,k,i) * &
                                                      f(k,j,i1) )
                         ENDDO
@@ -4918,5 +5109,5 @@
  
 
-   SUBROUTINE pmci_interp_tril_t( f, fc, ic, jc, kc, r1x, r2x, r1y, r2y, r1z,   &
+   SUBROUTINE pmci_interp_tril_t( f, fc, ic, jc, kc, r1x, r2x, r1y, r2y, r1z,  &
                                   r2z, var )
 
@@ -4928,41 +5119,41 @@
       IMPLICIT NONE
 
-      REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                       &
-                                      INTENT(INOUT) ::  f     !:
-      REAL(wp), DIMENSION(0:cg%nz+1,jcs:jcn,icl:icr),                           &
-                                      INTENT(IN)    ::  fc    !:
-      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r1x   !:
-      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r2x   !:
-      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r1y   !:
-      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r2y   !:
-      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r1z   !:
-      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r2z   !:
+      REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
+                                      INTENT(INOUT) ::  f     !<
+      REAL(wp), DIMENSION(0:cg%nz+1,jcs:jcn,icl:icr),                          &
+                                      INTENT(IN)    ::  fc    !<
+      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r1x   !<
+      REAL(wp), DIMENSION(nxlg:nxrg), INTENT(IN)    ::  r2x   !<
+      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r1y   !<
+      REAL(wp), DIMENSION(nysg:nyng), INTENT(IN)    ::  r2y   !<
+      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r1z   !<
+      REAL(wp), DIMENSION(nzb:nzt+1), INTENT(IN)    ::  r2z   !<
       
-      INTEGER(iwp), DIMENSION(nxlg:nxrg), INTENT(IN) ::  ic    !:
-      INTEGER(iwp), DIMENSION(nysg:nyng), INTENT(IN) ::  jc    !:
-      INTEGER(iwp), DIMENSION(nzb:nzt+1), INTENT(IN) ::  kc    !:
+      INTEGER(iwp), DIMENSION(nxlg:nxrg), INTENT(IN) ::  ic    !<
+      INTEGER(iwp), DIMENSION(nysg:nyng), INTENT(IN) ::  jc    !<
+      INTEGER(iwp), DIMENSION(nzb:nzt+1), INTENT(IN) ::  kc    !<
       
-      CHARACTER(LEN=1), INTENT(IN) :: var   !:
-
-      INTEGER(iwp) ::  i   !:
-      INTEGER(iwp) ::  ib  !:
-      INTEGER(iwp) ::  ie  !:
-      INTEGER(iwp) ::  j   !:
-      INTEGER(iwp) ::  jb   !:
-      INTEGER(iwp) ::  je   !:      
-      INTEGER(iwp) ::  k   !:
-      INTEGER(iwp) ::  l   !:
-      INTEGER(iwp) ::  m   !:
-      INTEGER(iwp) ::  n   !:
+      CHARACTER(LEN=1), INTENT(IN) :: var   !<
+
+      INTEGER(iwp) ::  i   !<
+      INTEGER(iwp) ::  ib  !<
+      INTEGER(iwp) ::  ie  !<
+      INTEGER(iwp) ::  j   !<
+      INTEGER(iwp) ::  jb   !<
+      INTEGER(iwp) ::  je   !<      
+      INTEGER(iwp) ::  k   !<
+      INTEGER(iwp) ::  l   !<
+      INTEGER(iwp) ::  m   !<
+      INTEGER(iwp) ::  n   !<
       
-      REAL(wp) ::  coarse_dx   !:
-      REAL(wp) ::  coarse_dy   !:
-      REAL(wp) ::  coarse_dz   !:
-      REAL(wp) ::  fk          !:
-      REAL(wp) ::  fkj         !:
-      REAL(wp) ::  fkjp        !:
-      REAL(wp) ::  fkpj        !:
-      REAL(wp) ::  fkpjp       !:
-      REAL(wp) ::  fkp         !:
+      REAL(wp) ::  coarse_dx   !<
+      REAL(wp) ::  coarse_dy   !<
+      REAL(wp) ::  coarse_dz   !<
+      REAL(wp) ::  fk          !<
+      REAL(wp) ::  fkj         !<
+      REAL(wp) ::  fkjp        !<
+      REAL(wp) ::  fkpj        !<
+      REAL(wp) ::  fkpjp       !<
+      REAL(wp) ::  fkp         !<
 
       
@@ -5036,19 +5227,19 @@
        IMPLICIT NONE
 
-       CHARACTER(LEN=1), INTENT(IN) ::  edge   !:
-       CHARACTER(LEN=1), INTENT(IN) ::  var    !:
-
-       INTEGER(iwp) ::  i       !:
-       INTEGER(iwp) ::  ib      !:
-       INTEGER(iwp) ::  ibgp    !:
-       INTEGER(iwp) ::  ied     !:
-       INTEGER(iwp) ::  j       !:
-       INTEGER(iwp) ::  k       !:
-       INTEGER(iwp) ::  k_wall  !:
-
-       REAL(wp) ::  outnor    !:
-       REAL(wp) ::  vdotnor   !:
-
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg), INTENT(INOUT) :: f !:
+       CHARACTER(LEN=1), INTENT(IN) ::  edge   !<
+       CHARACTER(LEN=1), INTENT(IN) ::  var    !<
+
+       INTEGER(iwp) ::  i       !<
+       INTEGER(iwp) ::  ib      !<
+       INTEGER(iwp) ::  ibgp    !<
+       INTEGER(iwp) ::  ied     !<
+       INTEGER(iwp) ::  j       !<
+       INTEGER(iwp) ::  k       !<
+       INTEGER(iwp) ::  k_wall  !<
+
+       REAL(wp) ::  outnor    !<
+       REAL(wp) ::  vdotnor   !<
+
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg), INTENT(INOUT) :: f !<
 !
 !--    Check which edge is to be handled: left or right
@@ -5114,19 +5305,19 @@
        IMPLICIT NONE
 
-       CHARACTER(LEN=1), INTENT(IN) ::  edge   !:
-       CHARACTER(LEN=1), INTENT(IN) ::  var    !:
+       CHARACTER(LEN=1), INTENT(IN) ::  edge   !<
+       CHARACTER(LEN=1), INTENT(IN) ::  var    !<
       
-       INTEGER(iwp) ::  i         !:
-       INTEGER(iwp) ::  j         !:
-       INTEGER(iwp) ::  jb        !:
-       INTEGER(iwp) ::  jbgp      !:
-       INTEGER(iwp) ::  jed       !:
-       INTEGER(iwp) ::  k         !:
-       INTEGER(iwp) ::  k_wall    !:
-
-       REAL(wp)     ::  outnor    !:
-       REAL(wp)     ::  vdotnor   !:
-
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg), INTENT(INOUT) :: f !:
+       INTEGER(iwp) ::  i         !<
+       INTEGER(iwp) ::  j         !<
+       INTEGER(iwp) ::  jb        !<
+       INTEGER(iwp) ::  jbgp      !<
+       INTEGER(iwp) ::  jed       !<
+       INTEGER(iwp) ::  k         !<
+       INTEGER(iwp) ::  k_wall    !<
+
+       REAL(wp)     ::  outnor    !<
+       REAL(wp)     ::  vdotnor   !<
+
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg), INTENT(INOUT) :: f !<
 
 !
@@ -5191,15 +5382,15 @@
        IMPLICIT NONE
 
-       CHARACTER(LEN=1), INTENT(IN) ::  var   !:
+       CHARACTER(LEN=1), INTENT(IN) ::  var   !<
       
-       INTEGER(iwp) ::  i     !:
-       INTEGER(iwp) ::  j     !:
-       INTEGER(iwp) ::  k     !:
-       INTEGER(iwp) ::  ked   !:
-
-       REAL(wp) ::  vdotnor   !:
-
-       REAL(wp), DIMENSION(nzb:nzt+1,nys-nbgp:nyn+nbgp,nxl-nbgp:nxr+nbgp),      &
-                 INTENT(INOUT) ::  f   !:
+       INTEGER(iwp) ::  i     !<
+       INTEGER(iwp) ::  j     !<
+       INTEGER(iwp) ::  k     !<
+       INTEGER(iwp) ::  ked   !<
+
+       REAL(wp) ::  vdotnor   !<
+
+       REAL(wp), DIMENSION(nzb:nzt+1,nys-nbgp:nyn+nbgp,nxl-nbgp:nxr+nbgp),     &
+                 INTENT(INOUT) ::  f   !<
      
 
@@ -5232,5 +5423,5 @@
 
 
-    SUBROUTINE pmci_anterp_tophat( f, fc, kct, ifl, ifu, jfl, jfu, kfl, kfu,    &
+    SUBROUTINE pmci_anterp_tophat( f, fc, kct, ifl, ifu, jfl, jfu, kfl, kfu,   &
                                    ijfc, kfc, var )
 !
@@ -5351,5 +5542,5 @@
 !--             Spatial under-relaxation.
                 fra  = frax(ii) * fray(jj) * fraz(kk)
-                fc(kk,jj,ii) = ( 1.0_wp - fra ) * fc(kk,jj,ii) +                &
+                fc(kk,jj,ii) = ( 1.0_wp - fra ) * fc(kk,jj,ii) +               &
                                fra * cellsum / REAL( nfc, KIND = wp )
 
